This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477874 - Occasional corruption in gnome-terminal/vim
Occasional corruption in gnome-terminal/vim
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 12:21 EST by David Dillow
Modified: 2012-08-07 16:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 783212 (view as bug list)
Environment:
Last Closed: 2012-08-07 16:14:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Expected results (148.44 KB, image/png)
2008-12-24 12:21 EST, David Dillow
no flags Details
Actual results (115.44 KB, image/png)
2008-12-24 12:22 EST, David Dillow
no flags Details
a colored diff - reproduces the bug when viewed (2.12 KB, application/octet-stream)
2010-07-12 10:26 EDT, Michal Schmidt
no flags Details

  None (edit)
Description David Dillow 2008-12-24 12:21:44 EST
Created attachment 327822 [details]
Expected results

Description of problem:
I have a bash alias that spawns vim in a dedicated gnome-terminal with a particular profile for text editing. Occasionally, it will come up with blank lines where text should be, which will persist until I scroll down several times in vim, use the menu item 'Terminal->Reset', or do '!reset' in vim's command mode.

The corruption is sporadic, and will happen several times in a row, then go completely away for a while. Occasionally, I will get the message '(gnome-terminal:16737): Vte-WARNING **: No handler for control sequence `device-control-string' defined.' and the gnome-terminal command will not exit/go into the background, as if I had added --disable-factory to the command line.

Version-Release number of selected component (if applicable):
The problem has been present since Fedora 8, but I only have versions for F9 and F10.

F9:
gnome-terminal-2.22.2-1.fc9.x86_64
vim-enhanced-7.2.060-1.fc9.x86_64

F10:
gnome-terminal-2.24.2-2.fc10.x86_64
vim-enhanced-7.2.060-1.fc10.x86_64

How reproducible:
Frequently, but not perfectly. It seems to only hit files larger than the geometry specified on the command line. I have not been able to reproduce without specifying geometry. I usually use --window-with-profile=Editor, but this is not required. The 'Editor' profile uses a smaller font and hides the scrollbar and menu, but this is reproducible without those changes.

I believe a file with more lines than the geometry may be a requirement, but have not investigated that very far.

Steps to Reproduce:
1. gnome-terminal --geometry=80x50 -x /usr/bin/vim filename
2. Repeat until corruption occurs; this may be 10s of retries.

  
Actual results:
See attachment 'Actual results'

Expected results:
See attachment 'Expected results'

Additional info:
Comment 1 David Dillow 2008-12-24 12:22:33 EST
Created attachment 327823 [details]
Actual results
Comment 2 Bug Zapper 2009-11-18 07:42:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:23:32 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 David Dillow 2009-12-18 12:38:19 EST
Reopened, as this is still present with F12:

gnome-terminal-2.28.1-1.fc12.x86_64
vim-enhanced-7.2.245-3.fc12.x86_64
Comment 5 Michal Schmidt 2010-07-12 10:26:14 EDT
Created attachment 431189 [details]
a colored diff - reproduces the bug when viewed

For months I've been seeing a problem with occasional missing lines of text when viewing git diffs. It may or may not be the same bug.
Today I found a 100%-reliable reproducer. Get the attached file (colored-patch) and do:
1. gnome-terminal --geometry 120x44 -x less -r colored-patch
2. Scroll down one line using the down arrow key.
3. Scroll back up one line using the up arrow key.

Actual result:
The patch description disappears. Even when dragging the mouse selection through the area there is no trace of any text on those invisible lines.
Pressing CTRL+L to redraw makes it appear.

Expected results:
The patch description should be visible all the time.

100% reproducible in
gnome-terminal-2.30.1-1.fc13.x86_64
and
gnome-terminal-2.31.3-1.fc14.x86_64
Comment 6 Michal Schmidt 2010-07-12 10:40:16 EDT
It is reproducible in XFCE's Terminal too, so the bug is probably in the vte library which is shared by both.
Comment 7 Behdad Esfahbod 2010-07-21 16:31:53 EDT
This is indeed a vte bug, and I have been seen it for a while.  Let me look into it.
Comment 8 Bug Zapper 2010-11-04 07:35:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 David Dillow 2010-11-04 07:50:47 EDT
I've bumped the version to F13, as I still see this here and can easily confirm with Michal's test case. Behdad, if you've been able to reproduce on F14 or rawhide, please update accordingly.
Comment 10 Michal Schmidt 2010-11-04 10:29:08 EDT
I can still reproduce it on F14.
Comment 11 Bug Zapper 2011-06-02 14:19:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 David Dillow 2011-06-02 23:14:47 EDT
Still reproducible in F14:
vte-0.26.1-1.fc14.x86_64
gnome-terminal-2.32.0-1.fc14.x86_64

Once I install F15, I'll try this there and update accordingly.
Comment 13 David Dillow 2011-06-03 23:05:14 EDT
Still reproducible in F15:
gnome-terminal-3.0.1-1.fc15.x86_64
vte-0.28.0-1.fc15.x86_64
Comment 14 Michal Schmidt 2011-11-09 03:38:20 EST
Still seeing this in F16.
gnome-terminal-3.2.1-2.fc16.x86_64
vte-0.28.1-1.fc16.x86_64
Comment 15 David Dillow 2011-12-15 18:44:51 EST
Also getting this with vte3:
vte3-0.30.1-3.fc16.x86_64

In fact, the corruption happens when editing almost any file with highlighting, making it quite difficult to use.
Comment 16 Fedora Admin XMLRPC Client 2012-01-19 11:10:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Kevin Fenzi 2012-01-19 11:41:02 EST
David: 

Do you still see this with f15 and vte-0.28.1-1.fc15 ?
Comment 18 Michal Schmidt 2012-01-19 12:05:59 EST
cloned for vte3 as bug 783212.
Comment 19 David Dillow 2012-01-20 02:13:18 EST
This is reproducible with vte-0.28.1-1.fc15 on F15 using the steps in comment 5. As Michal noted, I also see this in vte3 on F16.
Comment 20 Fedora End Of Life 2012-08-07 16:14:32 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.